# eric6.Plugins.VcsPlugins.vcsMercurial.HgExtensionProjectHelper

Module implementing the project helper base for Mercurial extension interfaces.

### Global Attributes

None

### Classes

HgExtensionProjectHelper | Class implementing the project helper base for Mercurial extension interfaces.

### Functions

None

## HgExtensionProjectHelper

Class implementing the project helper base for Mercurial extension interfaces.

Note: The methods initActions(), initMenu(mainMenu) and menuTitle() have to be reimplemented by derived classes.

### Derived from

QObject

### Class Attributes

None

### Class Methods

None

### Methods

HgExtensionProjectHelper | Constructor
getActions | Public method to get a list of all actions.
initActions | Public method to generate the action objects.
initMenu | Public method to generate the extension menu.
menuTitle | Public method to get the menu title.
setObjects | Public method to set references to the vcs and project objects.
shutdown | Public method to perform shutdown actions.

### Static Methods

None

#### HgExtensionProjectHelper (Constructor)

HgExtensionProjectHelper()

Constructor

#### HgExtensionProjectHelper.getActions

getActions()

Public method to get a list of all actions.

Returns:
  list of all actions (list of E5Action)

#### HgExtensionProjectHelper.initActions

initActions()

Public method to generate the action objects.

Note: Derived class must implement this method.

Raises NotImplementedError:
  raised if the class has not been reimplemented

#### HgExtensionProjectHelper.initMenu

initMenu(mainMenu)

Public method to generate the extension menu.

Note: Derived class must implement this method.

mainMenu
  reference to the main menu (QMenu)

Returns:
  populated menu (QMenu)

Raises NotImplementedError:
  raised if the class has not been reimplemented

#### HgExtensionProjectHelper.menuTitle

menuTitle()

Public method to get the menu title.

Note: Derived class must implement this method.

Returns:
  title of the menu (string)

Raises NotImplementedError:
  raised if the class has not been reimplemented

#### HgExtensionProjectHelper.setObjects

setObjects(vcsObject, projectObject)

Public method to set references to the vcs and project objects.

vcsObject
  reference to the vcs object
projectObject
  reference to the project object

#### HgExtensionProjectHelper.shutdown

shutdown()

Public method to perform shutdown actions.

Note: Derived class may implement this method if needed.

Up